Subject: Re: bug#37237: mcron randomly stops running jobs

From: Ludovic Courtès <[email-masked]>
Date: Sun, 23 Feb 2020 19:30:26 +0100

Hi,

Robert Vollmert <[email-masked]> skribis:

> I have numerous mcron jobs configured, many of which run every 15 minutes,
> and one which runs once a minute. Just now, at 19:22, I noticed the minutely
> cron job didn’t seem to run, and saw that one every-15-minute job which always
> logs to mcron.log had last run at 18:00. I restarted mcron, and jobs started
> running again. There is no timezone confusion either: That every-15-minute job
> logged its first run at 19:30.

I’ve been bitten by this problem several times already.  I suspect the
patch at
<https://lists.gnu.org/archive/html/bug-mcron/2020-02/msg00004.html>
helps with zombies that mcron tends to leave behind, but I’m not sure it
helps with this “stops running jobs” problem (I’d need to grab a C stack
trace of mcron when that happens.)

Anyway, let’s get this fixed!

Ludo’.